> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eazecustoms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update declaration template

> Update fields of an existing declaration template.

Update template fields. Only fields provided in the body will be changed.

### Path parameters

<ParamField path="id" type="number" required>
  The unique template ID.
</ParamField>

### Request payload

<ParamField body="declarationOffice" type="string">
  Updated customs office code.
</ParamField>

<ParamField body="incoterm" type="string">
  Updated Incoterm code. Allowed values: `EXW`, `FCA`, `FAS`, `FOB`, `CFR`, `CIF`, `CPT`, `CIP`, `DAP`, `DPU`, `DDP`, `XXX`.
</ParamField>

<ParamField body="incotermLocation" type="string">
  Updated Incoterm location.
</ParamField>

```json JSON Payload theme={null}
{
  "declarationOffice": "NL000510",
  "incoterm": "DOP",
  "incotermLocation": "Amsterdam Country"
}
```

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "id": 7,
    "declarationOffice": "NL000510",
    "incoterm": "DOP",
    "incotermLocation": "Amsterdam Country",
    "updatedAt": "2026-06-22T10:05:00.000Z"
  }
  ```
</ResponseExample>
